@charset "UTF-8";

:root {
  --color1: #68349a;
  --color2: #f7d24d;
  --color3: #f2ecd3;
  --color4: #db9947;
  --color5: #fdf150;
  --color6: #fffaa9;
}

html {
  height: 100%;
  width: 100%;
}

body {
  font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN",
    "Hiragino Sans", Meiryo, sans-serif;
  height: 100%;
  width: 100%;
  margin: 0;
  background: var(--color3);
}
body > main {
  max-width: 800px;
  width: 100%;
  margin: 0 auto;
}

.page {
  margin: 0.5rem auto;
  overflow-x: hidden;
  width: 100%;
  position: relative;
}

footer {
  margin: 4rem auto 2rem;
}

.result-bg-circle {
  content: "";
  display: block;
  position: absolute;
  background-color: var(--color2);
  border-radius: 100%;
  width: 650px;
  height: 650px;
  left: -100%;
  right: -100%;
  margin: auto;
  z-index: -1;
}

.result-main {
  width: 95%;
  max-width: 400px;
  margin: auto;
}

.result-main-title {
  margin: 1rem auto;
  font-size: 1.5rem;
  font-weight: bold;
}

.result-main-bubble {
  background: #fff;
  margin: 1rem auto;
  padding: 2rem 1rem;
  border: solid 3px var(--color1);
  border-radius: 0.5rem;
  font-size: 1.5rem;
  font-weight: bold;
}

.result-main-bubble-main-text.level1 {
  color: #000;
}

.result-main-bubble-main-text.level2 {
  color: #eca900;
}

.result-main-bubble-main-text.level3 {
  color: #e35000;
}
.result-main-bubble-main-text.level4 {
  color: rgb(224, 0, 0);
}

.text-stroke {
  -webkit-text-stroke: 2px #fff;
  text-stroke: 2px #fff;
}

.result-section-title {
  display: inline-block;
  color: #000;
  background: var(--color5);
  margin: 1rem auto;
  padding: 0.2rem 1rem;
  border: solid 3px #fff;
  border-radius: 0.5rem;
  font-size: 1.5rem;
  font-weight: bold;
}

.result-point-item {
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
  background: #ddd;
  border-radius: 0.5rem;
  border: 1px solid #fff;
  margin: 1rem auto;
}

.result-point-item.checked {
  background: var(--color6);
}

.result-point-item-header {
  flex: 0 0 100%;
  padding-left: 0.2rem;
  padding-top: 0.5rem;
  font-weight: bold;
  font-size: 1.2rem;
}

.result-point-item-header img {
  width: 4rem;
  margin-right: 0.5rem;
}

.result-point-item-image {
  flex: 0 0 auto; /* 画像のサイズを固定 */
  width: 30%;
  min-width: 100px;
  max-width: 150px;
}

.result-point-item-image img {
  width: 100%;
  padding: 0.5rem;
}

.result-point-item-text {
  flex: 1; /* 文章が余白いっぱいまで広がる */
  vertical-align: top;
  padding: 0.5rem 0.4rem;
  font-size: 1rem;
}

#qrcode {
  display: flex;
  justify-content: center;
  text-align: center;
}

#qrcode > img {
  padding: 10px;
  background-color: #fff;
  border-radius: 10px;
}
